decode_value
encode_value
get_config
help_text
HOME
init
initialized
is_game
is_system
load_config
lock
module_get_config
module_info
module_init
module_option
option
parse_args
pname
read_cache
read_config
read_data
read_runtime
read_spool
remove_cache
remove_config
remove_data
remove_runtime
remove_spool
remove_temp
save_config
unlock
version_text
write_cache
write_config
write_data
write_log
write_runtime
write_spool
write_temp
XDG_CACHE_HOME
XDG_CONFIG_DIRS
XDG_CONFIG_HOME
XDG_DATA_DIRS
XDG_DATA_HOME
XDG_RUNTIME_DIR

## save_config()

def fhs.save_config | ( |  | config,
|  |  | name = `None`,
|  |  | packagename = `None`
| ) |  |

Save a dict as a configuration file.

Write the config dict to a file in the configuration directory. The file is named <packagename>.ini, unless overridden.

Parameters

  config | The data to be saved. All values are converted to str.
  name | The name of the file to be saved. ".ini" is appended to this.
  packagename | Override for the name of the package, to determine the directory to save to.

Definition at line 412 of file fhs.py.

Here is the call graph for this function:
Here is the caller graph for this function: